=== guider/requirements.txt ===
# python package for drawing

cycler
kiwisolver
matplotlib
numpy
Pillow
pyparsing
python-dateutil
six
textwrap3
