=== debian/changelog ===
guider (3.9.8-2) unstable; urgency=medium

  * Update debian/upstream/metadata.
  * d/control: improved long description.

 -- Gürkan Myczko <tar@debian.org>  Wed, 24 Aug 2022 09:24:28 +0200

guider (3.9.8-1) unstable; urgency=medium

  * Initial release. (Closes: #930883)

 -- Gürkan Myczko <tar@debian.org>  Fri, 22 Jul 2022 13:33:39 +0200
