## guider 3.9.897

=== debian/changelog ===
guider (3.9.897-3) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 08:46:17 +0200

guider (3.9.897-2) experimental; urgency=medium

  * d/control: enable Vcs fields.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 26 May 2023 13:46:44 +0200

guider (3.9.897-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - bump years.
    - drop utils/* as not shipped anymore.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 14:39:54 +0100
