=== debian/control ===
Source: guider
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/iipeace/guider/
Vcs-Browser: https://salsa.debian.org/debian/guider
Vcs-Git: https://salsa.debian.org/debian/guider.git

Package: guider
Architecture: all
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: runtime performance analyzer tool
 This is an integrated performance analyzer. It provides most of the features
 needed to measure, analyze, test and verify system performance. It is made
 to work on all platforms from very old to modern.
