## guider 3.9.8993

=== debian/changelog ===
guider (3.9.8993-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Thu, 20 Mar 2025 07:36:32 +0000

guider (3.9.897-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:37:27 +0000
