=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: guider
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,7 +9,7 @@
  python3,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/iipeace/guider/
 Vcs-Browser: https://salsa.debian.org/debian/guider
 Vcs-Git: https://salsa.debian.org/debian/guider.git
